#!/bin/bash
#This script will execute all tests in the clutter performance tests dir

set -e

TEST_FILES=/usr/lib/clutter-1.0/installed-tests/clutter/perf-*
EXIT_CODE=0

echo "Running clutter performance tests..."
for f in $TEST_FILES
do
  echo "Running test $f..."
  if "$f"; then
    echo "PASSED"
  else
    EXIT_CODE=$?
    echo "FAILED"
  fi
done
exit $EXIT_CODE
