#!/bin/bash

echo "# $0: running as: $(id)"
echo "# $0: running in: $(pwd)"
echo "# $0: initial environment:"
env | LC_ALL=C sort | sed -e 's/^/#  /'

set -x

export DISPLAY=:0
export FOLKS_DEBUG_NO_COLOUR=1
export G_MESSAGES_DEBUG=all
export XDG_RUNTIME_DIR=/run/user/$(id -u)
export DBUS_SESSION_BUS_ADDRESS=unix:path="$XDG_RUNTIME_DIR/bus"

exec /usr/lib/chaiwala-tests/contacts/folks-extended-info
